// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.21.0
// 	protoc        v3.11.4
// source: import/model/registry-file.proto

package model

import (
	proto "github.com/golang/protobuf/proto"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// This is a compile-time assertion that a sufficiently up-to-date version
// of the legacy proto package is being used.
const _ = proto.ProtoPackageIsVersion4

type RegistryFile struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id             int64  `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
	EntityId       int32  `protobuf:"varint,2,opt,name=entityId,proto3" json:"entityId,omitempty"`
	EntityName     string `protobuf:"bytes,3,opt,name=entityName,proto3" json:"entityName,omitempty"`
	SchemeId       int32  `protobuf:"varint,4,opt,name=schemeId,proto3" json:"schemeId,omitempty"`
	SchemeName     string `protobuf:"bytes,5,opt,name=schemeName,proto3" json:"schemeName,omitempty"`
	FileName       string `protobuf:"bytes,6,opt,name=fileName,proto3" json:"fileName,omitempty"`
	StatusId       int32  `protobuf:"varint,8,opt,name=statusId,proto3" json:"statusId,omitempty"`
	StatusName     string `protobuf:"bytes,9,opt,name=statusName,proto3" json:"statusName,omitempty"`
	CreateDateTime int64  `protobuf:"varint,10,opt,name=createDateTime,proto3" json:"createDateTime,omitempty"`
	ErrorFileId    string `protobuf:"bytes,11,opt,name=errorFileId,proto3" json:"errorFileId,omitempty"`
}

func (x *RegistryFile) Reset() {
	*x = RegistryFile{}
	if protoimpl.UnsafeEnabled {
		mi := &file_import_model_registry_file_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *RegistryFile) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*RegistryFile) ProtoMessage() {}

func (x *RegistryFile) ProtoReflect() protoreflect.Message {
	mi := &file_import_model_registry_file_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use RegistryFile.ProtoReflect.Descriptor instead.
func (*RegistryFile) Descriptor() ([]byte, []int) {
	return file_import_model_registry_file_proto_rawDescGZIP(), []int{0}
}

func (x *RegistryFile) GetId() int64 {
	if x != nil {
		return x.Id
	}
	return 0
}

func (x *RegistryFile) GetEntityId() int32 {
	if x != nil {
		return x.EntityId
	}
	return 0
}

func (x *RegistryFile) GetEntityName() string {
	if x != nil {
		return x.EntityName
	}
	return ""
}

func (x *RegistryFile) GetSchemeId() int32 {
	if x != nil {
		return x.SchemeId
	}
	return 0
}

func (x *RegistryFile) GetSchemeName() string {
	if x != nil {
		return x.SchemeName
	}
	return ""
}

func (x *RegistryFile) GetFileName() string {
	if x != nil {
		return x.FileName
	}
	return ""
}

func (x *RegistryFile) GetStatusId() int32 {
	if x != nil {
		return x.StatusId
	}
	return 0
}

func (x *RegistryFile) GetStatusName() string {
	if x != nil {
		return x.StatusName
	}
	return ""
}

func (x *RegistryFile) GetCreateDateTime() int64 {
	if x != nil {
		return x.CreateDateTime
	}
	return 0
}

func (x *RegistryFile) GetErrorFileId() string {
	if x != nil {
		return x.ErrorFileId
	}
	return ""
}

var File_import_model_registry_file_proto protoreflect.FileDescriptor

var file_import_model_registry_file_proto_rawDesc = []byte{
	0x0a, 0x20, 0x69, 0x6d, 0x70, 0x6f, 0x72, 0x74, 0x2f, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0x2f, 0x72,
	0x65, 0x67, 0x69, 0x73, 0x74, 0x72, 0x79, 0x2d, 0x66, 0x69, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f,
	0x74, 0x6f, 0x12, 0x06, 0x69, 0x6d, 0x70, 0x6f, 0x72, 0x74, 0x22, 0xb8, 0x02, 0x0a, 0x0c, 0x52,
	0x65, 0x67, 0x69, 0x73, 0x74, 0x72, 0x79, 0x46, 0x69, 0x6c, 0x65, 0x12, 0x0e, 0x0a, 0x02, 0x69,
	0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x03, 0x52, 0x02, 0x69, 0x64, 0x12, 0x1a, 0x0a, 0x08, 0x65,
	0x6e, 0x74, 0x69, 0x74, 0x79, 0x49, 0x64, 0x18, 0x02, 0x20, 0x01, 0x28, 0x05, 0x52, 0x08, 0x65,
	0x6e, 0x74, 0x69, 0x74, 0x79, 0x49, 0x64, 0x12, 0x1e, 0x0a, 0x0a, 0x65, 0x6e, 0x74, 0x69, 0x74,
	0x79, 0x4e, 0x61, 0x6d, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0a, 0x65, 0x6e, 0x74,
	0x69, 0x74, 0x79, 0x4e, 0x61, 0x6d, 0x65, 0x12, 0x1a, 0x0a, 0x08, 0x73, 0x63, 0x68, 0x65, 0x6d,
	0x65, 0x49, 0x64, 0x18, 0x04, 0x20, 0x01, 0x28, 0x05, 0x52, 0x08, 0x73, 0x63, 0x68, 0x65, 0x6d,
	0x65, 0x49, 0x64, 0x12, 0x1e, 0x0a, 0x0a, 0x73, 0x63, 0x68, 0x65, 0x6d, 0x65, 0x4e, 0x61, 0x6d,
	0x65, 0x18, 0x05, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0a, 0x73, 0x63, 0x68, 0x65, 0x6d, 0x65, 0x4e,
	0x61, 0x6d, 0x65, 0x12, 0x1a, 0x0a, 0x08, 0x66, 0x69, 0x6c, 0x65, 0x4e, 0x61, 0x6d, 0x65, 0x18,
	0x06, 0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x66, 0x69, 0x6c, 0x65, 0x4e, 0x61, 0x6d, 0x65, 0x12,
	0x1a, 0x0a, 0x08, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x49, 0x64, 0x18, 0x08, 0x20, 0x01, 0x28,
	0x05, 0x52, 0x08, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x49, 0x64, 0x12, 0x1e, 0x0a, 0x0a, 0x73,
	0x74, 0x61, 0x74, 0x75, 0x73, 0x4e, 0x61, 0x6d, 0x65, 0x18, 0x09, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x0a, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x4e, 0x61, 0x6d, 0x65, 0x12, 0x26, 0x0a, 0x0e, 0x63,
	0x72, 0x65, 0x61, 0x74, 0x65, 0x44, 0x61, 0x74, 0x65, 0x54, 0x69, 0x6d, 0x65, 0x18, 0x0a, 0x20,
	0x01, 0x28, 0x03, 0x52, 0x0e, 0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x44, 0x61, 0x74, 0x65, 0x54,
	0x69, 0x6d, 0x65, 0x12, 0x20, 0x0a, 0x0b, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x46, 0x69, 0x6c, 0x65,
	0x49, 0x64, 0x18, 0x0b, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0b, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x46,
	0x69, 0x6c, 0x65, 0x49, 0x64, 0x42, 0x8d, 0x01, 0x0a, 0x20, 0x63, 0x6f, 0x6d, 0x2e, 0x73, 0x75,
	0x70, 0x70, 0x6c, 0x79, 0x2d, 0x6e, 0x65, 0x74, 0x2e, 0x67, 0x72, 0x70, 0x63, 0x2e, 0x69, 0x6d,
	0x70, 0x6f, 0x72, 0x74, 0x2e, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0x42, 0x0c, 0x52, 0x65, 0x67, 0x69,
	0x73, 0x74, 0x72, 0x79, 0x46, 0x69, 0x6c, 0x65, 0x50, 0x01, 0x5a, 0x31, 0x67, 0x69, 0x74, 0x6c,
	0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x73, 0x75, 0x70, 0x70, 0x6c, 0x79, 0x2d, 0x6e, 0x65,
	0x74, 0x2f, 0x73, 0x68, 0x61, 0x72, 0x65, 0x64, 0x2f, 0x67, 0x6f, 0x2d, 0x67, 0x72, 0x70, 0x63,
	0x2f, 0x69, 0x6d, 0x70, 0x6f, 0x72, 0x74, 0x2f, 0x6d, 0x6f, 0x64, 0x65, 0x6c, 0xa2, 0x02, 0x03,
	0x4d, 0x58, 0x58, 0xaa, 0x02, 0x16, 0x53, 0x75, 0x70, 0x70, 0x6c, 0x79, 0x4e, 0x65, 0x74, 0x2e,
	0x49, 0x6d, 0x70, 0x6f, 0x72, 0x74, 0x2e, 0x4d, 0x6f, 0x64, 0x65, 0x6c, 0xca, 0x02, 0x06, 0x49,
	0x6d, 0x70, 0x6f, 0x72, 0x74, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_import_model_registry_file_proto_rawDescOnce sync.Once
	file_import_model_registry_file_proto_rawDescData = file_import_model_registry_file_proto_rawDesc
)

func file_import_model_registry_file_proto_rawDescGZIP() []byte {
	file_import_model_registry_file_proto_rawDescOnce.Do(func() {
		file_import_model_registry_file_proto_rawDescData = protoimpl.X.CompressGZIP(file_import_model_registry_file_proto_rawDescData)
	})
	return file_import_model_registry_file_proto_rawDescData
}

var file_import_model_registry_file_proto_msgTypes = make([]protoimpl.MessageInfo, 1)
var file_import_model_registry_file_proto_goTypes = []interface{}{
	(*RegistryFile)(nil), // 0: import.RegistryFile
}
var file_import_model_registry_file_proto_depIdxs = []int32{
	0, // [0:0] is the sub-list for method output_type
	0, // [0:0] is the sub-list for method input_type
	0, // [0:0] is the sub-list for extension type_name
	0, // [0:0] is the sub-list for extension extendee
	0, // [0:0] is the sub-list for field type_name
}

func init() { file_import_model_registry_file_proto_init() }
func file_import_model_registry_file_proto_init() {
	if File_import_model_registry_file_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_import_model_registry_file_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*RegistryFile); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_import_model_registry_file_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   1,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_import_model_registry_file_proto_goTypes,
		DependencyIndexes: file_import_model_registry_file_proto_depIdxs,
		MessageInfos:      file_import_model_registry_file_proto_msgTypes,
	}.Build()
	File_import_model_registry_file_proto = out.File
	file_import_model_registry_file_proto_rawDesc = nil
	file_import_model_registry_file_proto_goTypes = nil
	file_import_model_registry_file_proto_depIdxs = nil
}
